<script>
    import Header from 'components/Header.svelte'
    import Notifications from 'components/Nav/Notifications.svelte'
    import Avatar from 'components/User/Avatar.svelte'
    import Name from 'components/User/Name.svelte'
    import Username from 'components/User/Username.svelte'
    import Spinner from 'components/Icons/Spinner.svelte'
    import AnswerRequest from 'components/Relations/AnswerRequest.svelte'
    import { notifications } from 'lib/notifications'
    import { awaitingAPI } from 'store'
</script>

<Header withBorder={false}>
    Notifications
    <slot slot="nav">
        <Notifications segment="demandes" />
    </slot>
</Header>

<section>
    {#if !$awaitingAPI && $notifications.requests}
        {#each $notifications.requests as user (user.username)}
            <div class="user">
                <a href="/@{user.username}">
                    <Avatar name={user.name} src={user.avatar} />
                    <div class="names">
                        <Name>{user.name}</Name>
                        <Username>@{user.username}</Username>
                    </div>
                </a>
                <div class="buttons">
                    <AnswerRequest username={user.username} />
                </div>
            </div>
        {:else}
            <div class="no-content">
                Tu n'as aucune demande pour le moment.<br />
                Poste un message pour inciter les autres à te demander en ami !
            </div>
        {/each}
    {:else}
        <div class="no-content">
            <Spinner />
        </div>
    {/if}
</section>

<style lang="postcss">
    section {
        @apply bg-blueGray-50;

        .user {
            @apply relative flex items-center justify-between gap-x-4 p-4;

            &:not(:last-of-type) {
                @apply border-b;
            }

            a {
                @apply flex gap-x-1;

                .names {
                    @apply flex-initial flex flex-col min-w-0;

                    :global(h2) {
                        @apply block;
                    }
                }
            }

            .buttons {
                @apply flex-none flex gap-x-1;
            }
        }

        .no-content {
            @apply h-full flex items-center justify-center text-center p-4 text-blueGray-500;
        }
    }
</style>
